Name:          RoaringBitmap
Version:       0.6.14
Release:       1%{?dist}
Summary:       A better compressed bitset in Java
License:       ASL 2.0
URL:           https://github.com/RoaringBitmap/RoaringBitmap/
Source0:       https://github.com/RoaringBitmap/RoaringBitmap/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Bitsets, also called bitmaps, are commonly used as fast data
structures. Unfortunately, they can use too much memory. To
compensate, we often use compressed bitmaps.

Roaring bitmaps are compressed bitmaps which tend to outperform
conventional compressed bitmaps such as WAH, EWAH or Concise.
In some instances, roaring bitmaps can be hundreds of times faster
and they often offer significantly better compression. They
can even be faster than uncompressed bitmaps.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete
find -name "*.gz" -print -delete
find -name "*.zip" -print -delete

# Unavailable plugins
%pom_remove_plugin :animal-sniffer-maven-plugin
# org.eluder.coveralls:coveralls-maven-plugin:3.1.0
%pom_remove_plugin :coveralls-maven-plugin
# Unnecessary tasks
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_set pom:addClasspath false
%pom_xpath_remove pom:classpathPrefix
# is only a fake main class, that block test suite
#%% pom_xpath_remove pom:mainClass

%pom_xpath_remove pom:argLine

%mvn_file org.roaringbitmap:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG README.md
%license LICENSE LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE LICENSE-2.0.txt

%changelog
* Fri Apr 15 2016 gil cattaneo <puntogil@libero.it> 0.6.14-1
- initial rpm
